Gestiono
Referencia de APIAccounting / Account

Update Account

PATCH /v1/account • validated by `patchAccount`

← Back to full API reference
PATCH/v1/accountAuthentication required
  • Validated by Zod schema: patchAccount.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • id (required)

    Type: number

  • name

    Type: string

  • accountNumber

    Type: string

  • divisionId

    Type: number

  • type

    Type: enum

    Example: CASH

  • archived

    Type: boolean

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/accountAuthentication required

Group: Accounting / Account

PATCH /v1/account • validated by `patchAccount`

  • Validated by Zod schema: patchAccount.

Body fields

  • idrequired
    Type: number
  • name
    Type: string
  • accountNumber
    Type: string
  • divisionId
    Type: number
  • type
    Type: enum
    Ejemplo: CASH
  • archived
    Type: boolean

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.